## EDU.oswego.cs.dl.util.concurrent
Class ConcurrentReaderHashMap.BarrierLock

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap.BarrierLock

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConcurrentReaderHashMap

    protected static class ConcurrentReaderHashMap.BarrierLock

extends java.lang.Object
implements java.io.Serializable

A Serializable class for barrier lock

See Also:
  Serialized Form

Constructor Summary
`protected` `ConcurrentReaderHashMap.BarrierLock()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentReaderHashMap.BarrierLock

    protected ConcurrentReaderHashMap.BarrierLock()